Request missing user data fields
Requests missing profile/data fields from a user. Scoped to your integration’s institution via Basic Auth credentials.
POST
/users/{id}/data-collection-requestsPath parameters
idstringrequiredRequest body
requiredapplication/jsonfieldsDataCollectionFieldSpec[]requiredShow propertiesHide properties
Array of
DataCollectionFieldSpecfieldTypestringrequiredAllowed:
CUSTOMPERSONALSTATISTICcustomFieldIdstring | nullhardcodedFieldstring | nullsendNotificationbooleandefault: false
Responses
201Data collection request created
dataobjectrequiredShow propertiesHide properties
userIdstringrequiredcreatedintegerrequirednotifiedbooleanrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4400Bad Request
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X POST "https://fuxam.app/api/v4/users/string/data-collection-requests" \
-H "Content-Type: application/json" \
-d '{
"fields": [
{
"fieldType": "CUSTOM",
"customFieldId": "string",
"hardcodedField": "string"
}
],
"sendNotification": false
}'const response = await fetch("https://fuxam.app/api/v4/users/string/data-collection-requests", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"fields": [
{
"fieldType": "CUSTOM",
"customFieldId": "string",
"hardcodedField": "string"
}
],
"sendNotification": false
})
});import requests
response = requests.post(
"https://fuxam.app/api/v4/users/string/data-collection-requests",
headers={
"Content-Type": "application/json"
},
json={
"fields": [
{
"fieldType": "CUSTOM",
"customFieldId": "string",
"hardcodedField": "string"
}
],
"sendNotification": False
},
)Response
{
"data": {
"userId": "string",
"created": 0,
"notified": true
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}